Cấu hình VPS – Host phù hợp để cài đặt phpbb

PhpBB PhpBB Style

{ 0 comments }
phpBB 3.0.x

Cài đặt phpbb

Để có thể cài đặt phpbb chạy ổn định và không có lỗi thì các bạn cần phải biết và tham khảo các thông số sau:

1.  Yêu cầu về Webserver, Web Hosting, VPS

PhpBB yêu cầu hệ điều hành được sử dụng trên máy chủ ảo, hoặc sử dụng để cài đặt webserver phải hỗ trợ PHP.

2 Yêu cầu về hệ thống dữ liệu (Database System)

Về dữ liệu PhpBB yêu cầu máy chủ phải được cài đặt một trong các hệ quản trị dữ liệu sau:

  • FireBird 2.1 hoặc cao hơn
  • MySQL 3.2. hoặc cao hơn
  • MS SQL Server 2000 hoặc cao hơn (trực tiếp qua ODBC)
  • Oracle
  • PostgreSQL 7.x hoặc cao hơn
  • SQLite 2

3 Yêu cầu phiên bản PHP

Để diễn đàn PhpBB hoạt động ổn định máy chủ của bạn phải đang cài phiên bản PHP thấp nhất là PHP 4.3.3.

Yêu cầu bật hàm getimagesize().

4. Các PHP Module yêu cầu

Hỗ trợ chuẩn nén zlib (zlib Compression)

Hỗ trợ truy cập FTP (Remote FTP)

Hỗ trợ XML

Hỗ trợ Imagemagick

Hỗ trợ GD

Trong quá trình cài đặt, PhpBB sẽ kiểm tra các thông số trên. Nếu thông số nào không đáp ứng yêu cầu PhpBB sẽ báo lỗi và bạn cần phải bổ xung để tiếp tục.

Tại thời điểm hiện tại hầu hết các dịch vụ hosting đề đáp ứng được nhu cầu trên. Thậm chí còn cao hơn rất nhiều. Tuy nhiên nếu như bạn đang sử dụng một VPS giá rẻ thường bạn sẽ phải tự cài đặt hệ điều hành, php, mysql, apache (Cài đặt LAMP)… Khi đó bạn sẽ cần phải tham khảo những thông số trên để đảm bảo rằng quá trình cài đặt và sử dụng sẽ không xảy ra lỗi ngoài ý muốn. Nếu bạn muốn tìm hiểu thêm về cách cài đặt và quản trị máy chủ ảo thì có thể tham khảo ở đây.

Góp ý cho Tô Triều